> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fyno.io/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fyno.io/docs/_mcp/server.

# Delete channel data

POST https://api.fyno.io/v1/{WSID}/{version}/profiles/{distinct_id}/channel/delete
Content-Type: application/json

This API enables you to delete existing data for all channels. You can use either of the following approaches:

- **Option 1:** Use the `channel` key in the payload to delete all tokens in the specified channel.
- **Option 2:** Use the `push` and `inapp` keys in the payload to delete specific tokens in these channels.

**Note:** You can use either option 1 or option 2. It is not allowed to use both approaches in one request.


Reference: https://fyno.io/docs/api-reference/delete-channel-data

## Authentication

- `Authorization` header (bearer token, required) — Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

## Request

### Path parameters

- `WSID` (string, required) — Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
- `version` (string, required) — Specify the version for which you would like to manage the user profile.
- `distinct_id` (string, required) — Enter the distinct ID that you currently use to identify the user.

### Body (application/json)

This endpoint expects a channel_delete_body.

- `channel_delete_body`

## Response

### 200

Profile updated successfully

- `_message` (string, required)
- `status` (string, required)

## Errors

### 400 Bad Request Error

Distinct ID or channel data does not exist

- `_message` (string, required)
- `status` (string, required)

### 401 Unauthorized Error

API Key or Workspace ID is invalid. User is unauthorised.

- `_message` (string, required)
- `status` (string, required)

## Types

### ChannelDeleteBody0

- `channel` (list of string, required) — Enter all channels for which you wish to delete the data. For example: `sms`, `whatsapp`, `email`, `slack`, `discord`, `teams`, `voice``push`, `inapp`.

### ChannelDeleteBody1

- `inapp` (list of string, required) — Enter the tokens to delete from within the InApp channel.
- `push` (list of string, required) — Enter the tokens to delete from within the Push channel.

## Examples

**Request**

```json
{
  "channel": [
    "sms",
    "whatsapp",
    "email",
    "slack",
    "discord",
    "teams",
    "voice",
    "push",
    "inapp"
  ]
}
```

**Response**

```json
{
  "_message": "Channel has been modified successfully",
  "status": "ok"
}
```

**SDK Code**

```python
import requests

url = "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel/delete"

payload = { "channel": ["sms", "whatsapp", "email", "slack", "discord", "teams", "voice", "push", "inapp"] }
headers = {
    "Authorization": "Bearer <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel/delete';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <apiKey>', 'Content-Type': 'application/json'},
  body: '{"channel":["sms","whatsapp","email","slack","discord","teams","voice","push","inapp"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel/delete"

	payload := strings.NewReader("{\n  \"channel\": [\n    \"sms\",\n    \"whatsapp\",\n    \"email\",\n    \"slack\",\n    \"discord\",\n    \"teams\",\n    \"voice\",\n    \"push\",\n    \"inapp\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel/delete")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"channel\": [\n    \"sms\",\n    \"whatsapp\",\n    \"email\",\n    \"slack\",\n    \"discord\",\n    \"teams\",\n    \"voice\",\n    \"push\",\n    \"inapp\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel/delete")
  .header("Authorization", "Bearer <apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"channel\": [\n    \"sms\",\n    \"whatsapp\",\n    \"email\",\n    \"slack\",\n    \"discord\",\n    \"teams\",\n    \"voice\",\n    \"push\",\n    \"inapp\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel/delete', [
  'body' => '{
  "channel": [
    "sms",
    "whatsapp",
    "email",
    "slack",
    "discord",
    "teams",
    "voice",
    "push",
    "inapp"
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel/delete");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"channel\": [\n    \"sms\",\n    \"whatsapp\",\n    \"email\",\n    \"slack\",\n    \"discord\",\n    \"teams\",\n    \"voice\",\n    \"push\",\n    \"inapp\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["channel": ["sms", "whatsapp", "email", "slack", "discord", "teams", "voice", "push", "inapp"]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel/delete")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```